Package io.vertx.redis.client

## Enum RedisTopology

- java.lang.Object
- - java.lang.Enum<RedisTopology>
  - - io.vertx.redis.client.RedisTopology

- All Implemented Interfaces:
    `Serializable`, `Comparable<RedisTopology>`

      public enum RedisTopology
      extends Enum<RedisTopology>

  How the Redis multi-node topology should be obtained.

  This is only meaningful in case of a replication Redis client. In case of a cluster and sentinel Redis client, topology is currently always discovered automatically and the topology mode is ignored.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISCOVER` | Redis topology is discovered automatically from the first node that is capable of providing the necessary information.
    `STATIC` | Redis topology is configured statically.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RedisTopology` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static RedisTopology[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISCOVER

          public static final RedisTopology DISCOVER

      Redis topology is discovered automatically from the first node that is capable of providing the necessary information.

    - #### STATIC

          public static final RedisTopology STATIC

      Redis topology is configured statically. The user must ensure that the configuration is correct.

      In case of a replication Redis client, the first node in the list is considered a master and the remaining nodes in the list are considered replicas.

      In case of a cluster and sentinel Redis client, static topology configuration is currently not meaningful and is ignored.

  - ### Method Detail

    - #### values

          public static RedisTopology[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RedisTopology c : RedisTopology.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RedisTopology valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null